Subject: [Spridgets] Nascar at Road America.

From: Rick Fisk via Spridgets <[email-masked]>
Date: Sun, 4 Jul 2021 12:09:03 -0400

I Vintage race a Bugeye and love it.  I have another Bugeye that I have owned for 53 years and have owned a whole bunch of other Brit cars.  But I also enjoy watching Nascar and even have a few laps at California Speedway in an old Grand National car under my belt.

Today the Nascar Cup guys are running at Road America.  They just announced on the broadcast that the spectator count for today's race is the largest ever in the history of the track.  Largest ever!  :-)

Rick
------------------------

[email-masked]

Archive: http://www.team.net/pipermail/spridgets  http://autox.team.net/archive